| Home | Libraries | People | FAQ | More

#### buffer (22 of 22 overloads)

Create a new non-modifiable buffer that represents the given string.

    const_buffers_1 buffer(
        const std::string & data,
        std::size_t max_size_in_bytes);

###### Return Value

A const_buffers_1 value equivalent to:

    const_buffers_1(
        data.data(),
        min(data.size(), max_size_in_bytes));

###### Remarks

The buffer is invalidated by any non-const operation called on the given string object.